Skip to main content
GET
/
preview
/
catalog
/
stats
/
merchants
/
{merchant-id}
/preview/catalog/stats/merchants/{merchant-id}
curl --request GET \
  --url https://api.criteo.com/preview/catalog/stats/merchants/{merchant-id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "statisticsRecordList": [
      {
        "added": "<string>",
        "blacklisted": "<string>",
        "deleted": "<string>",
        "displayable": "<string>",
        "endDate": "2023-11-07T05:31:56Z",
        "missingDescription": "<string>",
        "missingImage": "<string>",
        "missingName": "<string>",
        "missingPrice": "<string>",
        "missingUrl": "<string>",
        "nonDisplayable": "<string>",
        "outOfStock": "<string>",
        "startDate": "2023-11-07T05:31:56Z",
        "total": "<string>",
        "updated": "<string>",
        "variant": "<string>"
      }
    ]
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "type": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

merchant-id
string<int32>
required

merchant-id to get

Query Parameters

lastNumHours
integer<int32>

the last number of hours

Response

200 - application/json

The successful response of GET stats request

The statistics reports

data
object

The list of statistics reports

errors
object[] | null
read-only

errors

warnings
object[] | null
read-only

warnings